Debian Bug report logs - #601971
unblock: liboauth/0.9.1-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Bilal Akhtar <bilalakhtar@ubuntu.com>

Date: Sun, 31 Oct 2010 13:18:01 UTC

Severity: normal

Tags: moreinfo

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Sun, 31 Oct 2010 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bilal Akhtar <bilalakhtar@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Oct 2010 13:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bilal Akhtar <bilalakhtar@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: liboauth/0.9.1-1
Date: Sun, 31 Oct 2010 16:16:19 +0300
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package liboauth

This package is blocking major bugs in twitter clients, an example of such a bug is bug #588235 .
Twitter recently dropped support for Basic Auth and now all twitter clients are forced to use OAuth to
authenticate to Twitter. libOAuth is the ONLY OAuth 1.0 library written in C, and hence all Twitter clients
written in C need this.
Without this package, BTI and other twitter clients will not function in squeeze, as they would not be able
to authenticate with Twitter.

libOAuth was accepted very recently into Debian Unstable, and that is why it isn't in squeeze yet.

unblock liboauth/0.9.1-1

-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'), (500, 'maverick')
Architecture: i386 (i686)

Kernel: Linux 2.6.35-22-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Sun, 31 Oct 2010 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Oct 2010 15:54:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Bilal Akhtar <bilalakhtar@ubuntu.com>, 601971@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#601971: unblock: liboauth/0.9.1-1
Date: Sun, 31 Oct 2010 16:51:13 +0100
On  0, Bilal Akhtar <bilalakhtar@ubuntu.com> wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: unblock
> 
> Please unblock package liboauth
> 

> This package is blocking major bugs in twitter clients, an example of such a bug is bug #588235 .
> Twitter recently dropped support for Basic Auth and now all twitter clients are forced to use OAuth to
> authenticate to Twitter. libOAuth is the ONLY OAuth 1.0 library written in C, and hence all Twitter clients
> written in C need this.
>
> Without this package, BTI and other twitter clients will not function in squeeze, as they would not be able
> to authenticate with Twitter.
> 

While this appears to be useful for Twitter clients (those actually
using the lib), there is not a single application build-depending on
this library for now. So, why should we accept this in Squeeze?

> libOAuth was accepted very recently into Debian Unstable, and that
> is why it isn't in squeeze yet.

Then, we won't be able to accept it in Squeeze I'm afraid.

Regards,

-- 
Mehdi Dogguy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Sun, 31 Oct 2010 15:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Oct 2010 15:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Mon, 01 Nov 2010 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Nov 2010 00:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 601971@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>, 601971@bugs.debian.org
Cc: Bilal Akhtar <bilalakhtar@ubuntu.com>
Subject: Re: Bug#601971: unblock: liboauth/0.9.1-1
Date: Mon, 1 Nov 2010 01:21:57 +0100
[Message part 1 (text/plain, inline)]
On Sun, 31 Oct 2010 16:51:13 +0100, Mehdi Dogguy wrote:

> > Without this package, BTI and other twitter clients will not function in squeeze, as they would not be able
> > to authenticate with Twitter.
> While this appears to be useful for Twitter clients (those actually
> using the lib), there is not a single application build-depending on
> this library for now. So, why should we accept this in Squeeze?

JFTR: bti would already (build-)depend on it if it had been around
longer :)

(In fact I have a package ready with the new upstream release of bti
which uses liboauth).
 
> > libOAuth was accepted very recently into Debian Unstable, and that
> > is why it isn't in squeeze yet.
> Then, we won't be able to accept it in Squeeze I'm afraid.

Right, that's totally understandable.

I guess this is one of the cornercases where we have to sacrifice
an improvement in a small corner in order to improve the larger good
(i.e. get out the release without unnecessary delays and risk for the
quality).

(And we can then upload a newer bti + liboauth + other clients into
backports.)


Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #244:  Your cat tried to eat the mouse. 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Mon, 01 Nov 2010 10:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Nov 2010 10:18:06 GMT) Full text and rfc822 format available.

Message #25 received at 601971@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: gregor herrmann <gregoa@debian.org>, 601971@bugs.debian.org
Subject: Re: Bug#601971: unblock: liboauth/0.9.1-1
Date: Mon, 01 Nov 2010 11:12:25 +0100
On 11/01/2010 01:21 AM, gregor herrmann wrote:
> 
> JFTR: bti would already (build-)depend on it if it had been around
> longer :)
> 

Sure :)

> (In fact I have a package ready with the new upstream release of bti
> which uses liboauth).
>  
>>> libOAuth was accepted very recently into Debian Unstable, and that
>>> is why it isn't in squeeze yet.
>> Then, we won't be able to accept it in Squeeze I'm afraid.
> 
> Right, that's totally understandable.
> 
> I guess this is one of the cornercases where we have to sacrifice
> an improvement in a small corner in order to improve the larger good
> (i.e. get out the release without unnecessary delays and risk for the
> quality).
> 

What are the other clients that may use liboauth? Is bti the only one?
Liboauth was just released… how much testing did it get?

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Mon, 01 Nov 2010 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Nov 2010 18:21:06 GMT) Full text and rfc822 format available.

Message #30 received at 601971@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 601971@bugs.debian.org
Subject: Re: Bug#601971: unblock: liboauth/0.9.1-1
Date: Mon, 1 Nov 2010 19:18:23 +0100
[Message part 1 (text/plain, inline)]
On Mon, 01 Nov 2010 11:12:25 +0100, Mehdi Dogguy wrote:

> > I guess this is one of the cornercases where we have to sacrifice
> > an improvement in a small corner in order to improve the larger good
> > (i.e. get out the release without unnecessary delays and risk for the
> > quality).
> What are the other clients that may use liboauth? Is bti the only one?

I don't know (probably there are some), maybe Bilal knows more about this?

> Liboauth was just released… how much testing did it get?

With bti I've only tested that it builds (and I know that a newer bti
+ liboauth are in maemo5). Unless someone convices me to create a
twitter account it's also a bit difficult for me to actually test it
with twitter :) Oh, but identi.ca might work with OAuth too, I need
to check this.

I gues uploading bti to experimental might make testing for others
easier ...

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #194:  We only support a 1200 bps connection. 
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Thu, 04 Nov 2010 21:33:11 GMT) Full text and rfc822 format available.

Notification sent to Bilal Akhtar <bilalakhtar@ubuntu.com>:
Bug acknowledged by developer. (Thu, 04 Nov 2010 21:33:12 GMT) Full text and rfc822 format available.

Message #35 received at 601971-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: gregor herrmann <gregoa@debian.org>, 601971-done@bugs.debian.org
Subject: Re: Bug#601971: unblock: liboauth/0.9.1-1
Date: Thu, 04 Nov 2010 22:27:20 +0100
On 11/01/2010 07:18 PM, gregor herrmann wrote:
> 
> I gues uploading bti to experimental might make testing for others 
> easier ...
> 

ok, let's accept this in Squeeze. Changes in bti seem ok and the library
is small enough.

Cheers,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Fri, 05 Nov 2010 06:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bilal Akhtar <bilalakhtar@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 05 Nov 2010 06:24:07 GMT) Full text and rfc822 format available.

Message #40 received at 601971@bugs.debian.org (full text, mbox):

From: Bilal Akhtar <bilalakhtar@ubuntu.com>
To: 601971@bugs.debian.org, Mehdi Dogguy <mehdi@dogguy.org>
Subject: Sorry for the late reply
Date: Fri, 05 Nov 2010 09:20:31 +0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


> What are the other clients that may use liboauth? Is bti the only one?

gTwitter and twitux (both Twitter clients in C) needed this library
originally, but due to an inactive upstream, and due to no answer from
the maintainers on bugs #591640 and #589360 (possibly due to the late
packaging of liboauth, which was my fault) , the packages were removed
recently from Debian.

These two (along with BTI) were also the only clients I thought of when
I worked on packaging liboauth back in May.

However, liboauth can also be used for other purposes (like connecting
to launchpad.net , Identi.ca , and facebook) and probably application
developers using Squeeze may benefit from this library to build their
own applications.

Thanks for the unblock!

Bilal Akhtar.


- -- 
Bilal Akhtar - Ubuntu Developer, yet still 14 years old.
More information about him can be found on
https://edge.launchpad.net/~bilalakhtar
IRC nick: bilalakhtar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJM06IvAAoJENsMxwzgYeH20zkIAIts28lPjW2Lz4ePkKiOM228
MXQC8E5lg4EqEYqhWPbHTrWQ8g7yBaDBoOWPpAdVuITm4aU9jz6JZca+TcSmeuz/
qmyCbCtXlKn+eFA1lP+D1MHzb7OfGQVzeFuIsb8yeoAe/ZAwKQWFYMQABe39o7uy
7XF9onIoQidd4oflmCaM6Ay85yY776nzwq/q5aw18mUmWWMsJrmB7/mT80qUSlHP
iyyaMN2OchHiJttVGdSGMeV6pCYKafceM6H6V9I407XG9TIQpE7aKaJATGYGIOPY
a7+w+3OzkBF0rFzpmrf8UtlZOgzSVSnOLeV3gL5XQgrYD11CaJq6zaFHJpMUcZg=
=RtAW
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Tue, 23 Nov 2010 10:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bilal Akhtar <bilalakhtar@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 23 Nov 2010 10:15:08 GMT) Full text and rfc822 format available.

Message #45 received at 601971@bugs.debian.org (full text, mbox):

From: Bilal Akhtar <bilalakhtar@ubuntu.com>
To: 601971@bugs.debian.org, Mehdi Dogguy <mehdi@dogguy.org>
Subject: Please unblock
Date: Tue, 23 Nov 2010 13:09:49 +0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This upload was blocked again due to
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601971 . Now, it has
been found that that bug is not due to liboauth (see last comment on
that bug about the fact that twitter OAuth works). Its a problem with
bti, in which bti is using identi.ca where OAuth is not needed.

Could someone please unblock this package? The reason I want this to
happen early is because I want it to enter squeeze quite some time
before release so that we have a safe margin.

Thanks!

Bilal Akhtar.

- -- 
Bilal Akhtar - Ubuntu Developer, yet still 14 years old.
More information about him can be found on
https://edge.launchpad.net/~bilalakhtar
IRC nick: bilalakhtar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJM65LtAAoJENsMxwzgYeH2VaUH+gPd7d/jpHiKbuIkd5HlvBPP
N1L7c6cbpqfkwzMM0IuKK7ymCiEABbE0Xfs9bPjZEtKIjEIZ3uqnbtTX5yxiuo/1
oPDU7/ljVPAH6vq2ll7d6s4bcwqz1pI3BXAtqf4foLG5F1sRZ00m+abkYUVHdDSe
33VKOYwhML3GHf4scMVS9FJbov8/uVwQE5i+omFz1z/baX6nUm+xiqWNAFRK8Lp6
Oyhyt96Ey4e8GoSzmqMwYa9CRe2G+rwWSsnf3ytNlIKXuSdyQd7+ZjbAKtqkWOEy
AEHkIXGILnCaATI8UtnX9eCIyQ7Xeeuf23DHMQM/rTfAR8wZV1h4gbDzWmoR5Ac=
=EvPX
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Tue, 23 Nov 2010 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 23 Nov 2010 10:36:03 GMT) Full text and rfc822 format available.

Message #50 received at 601971@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Bilal Akhtar <bilalakhtar@ubuntu.com>
Cc: 601971@bugs.debian.org
Subject: Re: Please unblock
Date: Tue, 23 Nov 2010 11:33:29 +0100
reopen 601971
tags 601971 + moreinfo
thanks

On  0, Bilal Akhtar <bilalakhtar@ubuntu.com> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> This upload was blocked again due to
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601971 . Now, it has
> been found that that bug is not due to liboauth (see last comment on
> that bug about the fact that twitter OAuth works). Its a problem with
> bti, in which bti is using identi.ca where OAuth is not needed.
> 
> Could someone please unblock this package? The reason I want this to
> happen early is because I want it to enter squeeze quite some time
> before release so that we have a safe margin.
> 

Is it possible for identi.ca users to still use bti? The reason to have
liboauth in Squeeze is to allow bti to work with Twitter. But, if it 
introduces a regression (here wrt. identi.ca) then, it won't be unblocked.

(I didn't test yet since I don't use twitter or identi.ca)

Regards,

-- 
Mehdi Dogguy




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Nov 2010 10:36:05 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 10:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Tue, 23 Nov 2010 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bilal Akhtar <bilalakhtar@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 23 Nov 2010 10:48:03 GMT) Full text and rfc822 format available.

Message #59 received at 601971@bugs.debian.org (full text, mbox):

From: Bilal Akhtar <bilalakhtar@ubuntu.com>
To: Mehdi Dogguy <mehdi@dogguy.org>, 601971@bugs.debian.org
Subject: Re: Please unblock
Date: Tue, 23 Nov 2010 13:45:58 +0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 11/23/2010 01:33 PM, Mehdi Dogguy wrote:
> reopen 601971
> tags 601971 + moreinfo
> thanks
> 
> On  0, Bilal Akhtar <bilalakhtar@ubuntu.com> wrote:
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> This upload was blocked again due to
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601971 . Now, it has
>> been found that that bug is not due to liboauth (see last comment on
>> that bug about the fact that twitter OAuth works). Its a problem with
>> bti, in which bti is using identi.ca where OAuth is not needed.
>>
>> Could someone please unblock this package? The reason I want this to
>> happen early is because I want it to enter squeeze quite some time
>> before release so that we have a safe margin.
>>
> 
> Is it possible for identi.ca users to still use bti? The reason to have
> liboauth in Squeeze is to allow bti to work with Twitter. But, if it 
> introduces a regression (here wrt. identi.ca) then, it won't be unblocked.

LibOAuth works well with identi.ca (both of them use the same OAuth 1.0
spec) it isn't introducing a regression. The problem is with BTI, which
is using the twitter OAuth links for identi.ca . It is an easy fix,
which gregor will commit soon.

It isn't any regression or something. The library works well with
Twitter and the same case is with Identi.ca.

Bilal Akhtar.

> 
> (I didn't test yet since I don't use twitter or identi.ca)
> 
> Regards,
> 


- -- 
Bilal Akhtar - Ubuntu Developer, yet still 14 years old.
More information about him can be found on
https://edge.launchpad.net/~bilalakhtar
IRC nick: bilalakhtar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJM65tmAAoJENsMxwzgYeH2UnIH/3Lyw+oGnycox+VO50ZceKRY
//3VsOxljLSd3SV7EQiPGG6nyrNHGmyGoT4RYnrZr0lqTuf3K608sGmRr9Gva7aY
viuXSbO3tnk8SfNY0nIi5Dfv/xi8L5pGt2GUciLKaYDcHzzONlbHhdwGaBFMjNly
8v9ogMIYyDoQlOEIMjUXDytgtZ/xXQwkcrl21A13PHzoCYbR+FyMT9TZI8/8yrGF
Z8hPEWvHxfiZoWgToKXPU0lZo/8EQlhE3KO/Xn3ZdaFNTs0bbpove/tNsp+xJW8t
EFE/6RahRu5r1BXLG1Up8uG7IZkSIGFAbgzFTcSDPTPECrw2540l8QMi2jAh7o8=
=LL2s
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Tue, 23 Nov 2010 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 23 Nov 2010 11:21:03 GMT) Full text and rfc822 format available.

Message #64 received at 601971@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>, 601971@bugs.debian.org
Cc: Bilal Akhtar <bilalakhtar@ubuntu.com>
Subject: Re: Bug#601971: Please unblock
Date: Tue, 23 Nov 2010 12:17:28 +0100
[Message part 1 (text/plain, inline)]
On Tue, 23 Nov 2010 11:33:29 +0100, Mehdi Dogguy wrote:

> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601971 . Now, it has
> > been found that that bug is not due to liboauth (see last comment on
> > that bug about the fact that twitter OAuth works). Its a problem with
> > bti, in which bti is using identi.ca where OAuth is not needed.
> Is it possible for identi.ca users to still use bti? The reason to have
> liboauth in Squeeze is to allow bti to work with Twitter. But, if it 
> introduces a regression (here wrt. identi.ca) then, it won't be unblocked.

bti works for identi.ca with Basic Auth (broken is "only" the new
feature with OAuth, so there's no regression. of course it would be
nicer with this feature unbroken, that's why I've waited for an
upstream fix.))

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #289:  Interference between the keyboard and the chair. 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Tue, 23 Nov 2010 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 23 Nov 2010 12:12:03 GMT) Full text and rfc822 format available.

Message #69 received at 601971@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 601971@bugs.debian.org, Bilal Akhtar <bilalakhtar@ubuntu.com>
Subject: Re: Bug#601971: Please unblock
Date: Tue, 23 Nov 2010 13:09:34 +0100
On 23/11/2010 12:17, gregor herrmann wrote:
> On Tue, 23 Nov 2010 11:33:29 +0100, Mehdi Dogguy wrote:
> 
>>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601971 . Now, it has
>>> been found that that bug is not due to liboauth (see last comment on
>>> that bug about the fact that twitter OAuth works). Its a problem with
>>> bti, in which bti is using identi.ca where OAuth is not needed.
>> Is it possible for identi.ca users to still use bti? The reason to have
>> liboauth in Squeeze is to allow bti to work with Twitter. But, if it 
>> introduces a regression (here wrt. identi.ca) then, it won't be unblocked.
> 
> bti works for identi.ca with Basic Auth (broken is "only" the new
> feature with OAuth, so there's no regression. of course it would be
> nicer with this feature unbroken, that's why I've waited for an
> upstream fix.))
> 

Is there a fix already?

> Cheers,
> gregor
>  

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601971; Package release.debian.org. (Tue, 23 Nov 2010 17:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 23 Nov 2010 17:51:06 GMT) Full text and rfc822 format available.

Message #74 received at 601971@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 601971@bugs.debian.org, Bilal Akhtar <bilalakhtar@ubuntu.com>
Subject: Re: Bug#601971: Please unblock
Date: Tue, 23 Nov 2010 18:50:03 +0100
[Message part 1 (text/plain, inline)]
On Tue, 23 Nov 2010 13:09:34 +0100, Mehdi Dogguy wrote:

> > bti works for identi.ca with Basic Auth (broken is "only" the new
> > feature with OAuth, so there's no regression. of course it would be
> > nicer with this feature unbroken, that's why I've waited for an
> > upstream fix.))
> Is there a fix already?

Not yet in as a patch, I'd have contacted you immediately. The last
info from upstream after investigating is (paraphrased) "it should be
enough to add $parameter to $url, will test, confirm, and commit".

I just sent them another mail and asked about the status.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Leonard Cohen: In My Secret Life
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Wed, 24 Nov 2010 23:39:05 GMT) Full text and rfc822 format available.

Notification sent to Bilal Akhtar <bilalakhtar@ubuntu.com>:
Bug acknowledged by developer. (Wed, 24 Nov 2010 23:39:05 GMT) Full text and rfc822 format available.

Message #79 received at 601971-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: gregor herrmann <gregoa@debian.org>, 601971-done@bugs.debian.org
Cc: Bilal Akhtar <bilalakhtar@ubuntu.com>
Subject: Re: Bug#601971: Please unblock
Date: Thu, 25 Nov 2010 00:32:07 +0100
On  0, gregor herrmann <gregoa@debian.org> wrote:
> 
> Not yet in as a patch, I'd have contacted you immediately. The last
> info from upstream after investigating is (paraphrased) "it should be
> enough to add $parameter to $url, will test, confirm, and commit".
> 
> I just sent them another mail and asked about the status.
> 

bti/0.28-2 is fixed now. So, I unblocked (again) liboauth and bti.

Cheers,

-- 
Mehdi Dogguy




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Dec 2010 07:36:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:47:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.